Bug 595623

Summary: btreplay -- undocumented options
Product: Red Hat Enterprise Linux 6 Reporter: Milos Malik <mmalik>
Component: blktraceAssignee: Edward Shishkin <edward>
Status: CLOSED ERRATA QA Contact: Milos Malik <mmalik>
Severity: low Docs Contact:
Priority: low    
Version: 6.0CC: edward, rwheeler
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-19 14:10:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Milos Malik 2010-05-25 08:27:13 UTC
Description of problem:
Usage message OMITS 1 supported option(s):
	-t
Man page OMITS 3 supported option(s):
	--acc-factor
	-t
	-x

Version-Release number of selected component (if applicable):
blktrace-1.0.1-3.1.el6.i686

How reproducible:
always

Steps to Reproduce:
# man btreplay | col -b | grep -- --acc-factor
# man btreplay | col -b | grep -- -t
# man btreplay | col -b | grep -- -x
# btreplay --help 2>&1 | grep -- -t

Actual results:


Expected results:


Additional info:
# ./compare-options.sh /usr/bin/btreplay 
Program path:
	/usr/bin/btreplay
Guessing man page path:
	/usr/share/man/man8/btreplay.8.gz
According to binary analysis the binary supports 25 option(s):
	--acc-factor
	--cpus
	--find-records
	--help
	--input-base
	--input-directory
	--iterations
	--map-devs
	--no-stalls
	--verbose
	--version
	--write-enable
	-F
	-I
	-M
	-N
	-V
	-W
	-c
	-d
	-h
	-i
	-t
	-v
	-x
Usage message contains 0 UNSUPPORTED option(s):
Usage message OMITS 1 supported option(s):
	-t
Man page contains 0 UNSUPPORTED option(s):
Man page OMITS 3 supported option(s):
	--acc-factor
	-t
	-x

Comment 1 RHEL Program Management 2010-05-25 08:36:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 RHEL Program Management 2010-07-15 14:49:54 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Edward Shishkin 2010-07-30 14:25:45 UTC
The fixup has been sent to the upstream:

http://marc.info/?l=linux-btrace&m=128049874115543&w=2

Comment 5 Eric Sandeen 2010-10-29 21:36:08 UTC
Sending blktrace bugs over to Edward, as he did the upstream work for them.

Comment 9 errata-xmlrpc 2011-05-19 14:10:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0718.html